<?php
ob_start();
session_start();
include_once('../class/class.mysql.php');
include_once('../picasa/class.picasa.php');
include_once('../include/utilitarios.php');
$mysqlCom = new MysqlConnect();
extract($_POST);
$x9 = new Picasa();


if($ax == 'VerFotosEscolhidas'){
	$x9->VerFotosEscolhidas($id_evento, $id_x9_local, $deFoto);	
}


if($ax == 'VerificarQtoFotos'){
	$x9->VerificarQtoFotos($id_evento);
	while($row = mysqli_fetch_object($x9->qry)){
		 switch ($row->id_x9_local){
			case 7: echo 'Ampliação ('. $row->qto .') Fotos  | '; break;
			case 8: echo 'Bioombo ('. $row->qto .') Fotos  | '; break;
			case 9: echo 'Outros ('. $row->qto .') Fotos  | '; break;
			case 5: echo 'Álbum ('. $row->qto .') Fotos  | '; break;
			case 6: echo 'Capa ('. $row->qto .') Fotos  | '; break;
			case 10: echo 'Layout ('. $row->qto .') Selecionado  | '; break;
			 
		 }
	}
	
}


if($ax == 'FotosAprovadasLayout'){
	$x9->fotosEscolhidas($id_evento);
	$fotos_array = array();
	$fotos_aprovada = array();
	$descricao = array();
	$id_foto_escolhida = array();
	$x = 0;
		while($row = mysqli_fetch_object($x9->qry)){
		  $fotos_array[$x] = $row->nome_foto;
		  $fotos_aprovada[$x] = $row->for_album;
		  $descricao[$x] = $row->descricao;
		  $id_foto_escolhida[$x] = $row->id_foto_escolhida;
		  $x++;
		}
	$x9->LocalizarSoUsuarioAlbumPicasa($id_evento, 10);
	while($row = mysqli_fetch_object($x9->qry)){
	 $usuario = $row->usuario_picasa;
	 $album = $row->album_picasa;
	 }
		
$x9->PicasaFotosLayout($usuario,$album,$fotos_array,$fotos_aprovada,$descricao);	
	
}


if($ax == 'DeleteFotosSeleciona'){
	$x9->DeleteFotosSeleciona($id_evento,$id_x9_local);	
}

if($ax == 'CriarX9'){
$x9->InsertX9($id_evento,$website,$senha,$contrasenha);	
	
}

if($ax == 'DeletarX9'){
 $x9->DeletarX9($id_x9,$id_evento);	
}


if($ax == 'UpdateSenhaX9'){
 $x9->UpdateX9Senhas($id_x9,$senha,$contrasenha);	
}

if($ax == 'UpdateX9Ativo'){
	$x9->UpdateX9Ativo($id_x9);	
}

if($ax == 'VerStatos'){
$x9->SelectWebSite($id_evento);
	
while($row = mysqli_fetch_object($x9->qry)){
	 $controle++;
	 $Web = $row->x9;
}

if($controle == 0){
	  echo 'Off-Line';
	  echo '<input name="btnStatos" id="btnStatos" type="hidden" value="0" />';
	} else{
	   if($Web == 'Finalizado'){
	   echo 'Finalizado - Cliente Bloqueado';
	   echo '<input name="btnStatos" id="btnStatos" type="hidden" value="1" />';
	   }else{
	   echo 'On-Line';
	   echo '<input name="btnStatos" id="btnStatos" type="hidden" value="3" />';
	   }
	 }	
	
}

if($ax == 'HistoricoFinalizado1'){
	$x9->SelectHistoricoFinalizadoSo1($id_evento);	
	 
	while($row = mysqli_fetch_object($x9->qry)){
	  echo InverterDataHora($row->data) . ' ';
	  echo $row->obs;
		
	}

}

?>